/****************************************************************************

    spec(yml)파일의 dataitem.Itemno.structure.name 하위 노드 "codes..."
    
******************************************************************************/
package kr.gmtc.gw.asderecv.asde.asterixSpec.vo;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true) 
public class AsterixSpecVO_Codes
{
	
	private Map<String, String> codes = new HashMap<String, String>();


	@JsonAnyGetter
	public Map<String, String> getCodes() {
		return this.codes;
	}


	public void setCodes(Map<String, String> codes) {
		this.codes = codes;
	}
	
	@JsonAnySetter
	public void addValue(String key, String value) {
		this.codes.put(key, value);
	}
	
    
}